package com.njyunzhi.pet_identity.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.time.LocalDateTime;

@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="TaAccountMonthly对象", description="账户月结")
public class TaAccountMonthly implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "月度ID")
    @TableId(value = "month_id", type = IdType.INPUT)
    private String monthId;

    @ApiModelProperty(value = "总金额;单位分")
    private Integer totalCharge;

    @ApiModelProperty(value = "状态;0未对账,1对账")
    private Integer status;

    @ApiModelProperty(value = "创建日期")
    private LocalDateTime createDate;

    @ApiModelProperty(value = "对账日期")
    private LocalDateTime reconcileDate;
}
