package com.njyunzhi.pet_identity.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.njyunzhi.pet_identity.entity.TaAccountLog;
import com.njyunzhi.pet_identity.entity.TaAccountMonthly;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;

/**
 * <p>
 * 账户流水 Mapper 接口
 * </p>
 *
 * @author yansen
 * @since 2022-05-24
 */
@Mapper
public interface TaAccountLogMapper extends BaseMapper<TaAccountLog> {

    int countNumMonth(@Param("monthStr") String monthStr);

    int accTotalCharge(@Param("monthStr") String monthStr);
}
